local result
local vector2 = require("#microsoft.xna.framework.vector2")
local lua_helper = celeste.Mod.LuaCutscenes.LuaHelper
local monocle = require("#Monocle")
local minput = require("#Monocle.MInput")
local coroutineEntity = monocle.Entity()
local Audio = require("#Celeste.Audio")
local targetY = 2320
local ascendSpeed = 85

function onBegin()
	makeUnskippable()
	disableRetry()
	disableMovement()
    Audio.Play("event:/game/05_mirror_temple/eye_pulse", player.position)
	setPlayerState("StDummy")
	player.DummyGravity = false
	while player.Position.Y > targetY do
 		player:MoveV(-ascendSpeed * monocle.Engine.DeltaTime, nil, nil)
		coroutine.yield()
	playMusic("-")
	end
	setPlayerState("StNormal")


end

function onEnd()
    playMusic("-")
	enableMovement()
    enableRetry()
    enableMovement()
    playMusic("-")
end